MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026571Open CASCADE[OCCT] OCCT:Visualizationpublic2015-08-19 10:182016-04-20 15:49
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026571: Visualization, TKOpenGl - write depth values within RayTracing program
DescriptionFor the moment RayTracing program is able to read depth values from the convenient OpenGL rendering path, but does not write back new values. This breaks Z-layers rendering which are drawn after RayTracing program - and this became more important after dynamic highlighting being rendered in this way in Neutral Point in #0026272.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 3
vinit View1
vglinfo
vclear
vaxo
vsetdispmode 1
vdisplay b
vfit
vraytrace 1
vmoveto 250 250

bug -> highlighting ignores depth values in RayTracing mode.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024819closedapn Open CASCADE TKOpenGl - extend the ray-tracing core by visualization of lines, text and point sprites. 
related to 0027337closedabv Open CASCADE [Regression vs. 6.9.1] Selection highlight is poor in ray traced mode with FSAA 

-  Notes
(0051276)
git (administrator)
2016-03-01 16:54

Branch CR26571 has been created by duv.

SHA-1: 3abdaf6083c579bb60da8e00ad8fd48c0e85040e


Detailed log of new commits:

Author: duv
Date: Tue Mar 1 16:54:01 2016 +0300

    Pathtrace depth write

Author: duv
Date: Mon Feb 29 17:11:34 2016 +0300

    Raytrace depth write support
(0051323)
git (administrator)
2016-03-02 16:16

Branch CR26571_1 has been created by duv.

SHA-1: fc09c0d94afcc68201006f6e0d36362614f89d5c


Detailed log of new commits:

Author: duv
Date: Mon Feb 29 17:11:34 2016 +0300

    0026571: Visualization, TKOpenGl - write depth values within RayTracing program
    
    View-projection matrix was added to raytrace shaders (as uniform) in order to compute correct depth values for OpenGL.
    For path tracing the additional depth buffer sampler was added to Display.fs program. It allows propagation of depth values from internal FBO to resulting FBO.
    The old approach of mixing of OpenGL and ray-tracing graphics was kept in order to keep correct blending of transparent ray-traced objects with non-transparent OpenGL objects.
(0051324)
duv (developer)
2016-03-02 16:19

Dear kgv,

Please review the patch in CR26571_1.
(0051325)
kgv (developer)
2016-03-02 16:43
edited on: 2016-03-02 16:43

Please test the patch, test case is not needed.

(0051378)
apv (tester)
2016-03-03 16:58

Dear BugMaster,

Branch CR26571_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: fc09c0d94afcc68201006f6e0d36362614f89d5c

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 41 (41 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 90092694 / 90518419 [-0.47%]
Total CPU difference: 19189.10999999978 / 19185.769999999953 [+0.02%]

Testing on Windows:
Total MEMORY difference: 57380977 / 57104588 [+0.48%]
Total CPU difference: 19246.48297409871 / 17709.888724198754 [+8.68%]
(0052771)
git (administrator)
2016-04-17 12:56

Branch CR26571 has been deleted by kgv.

SHA-1: 3abdaf6083c579bb60da8e00ad8fd48c0e85040e
(0052772)
git (administrator)
2016-04-17 12:56

Branch CR26571_1 has been deleted by kgv.

SHA-1: fc09c0d94afcc68201006f6e0d36362614f89d5c

- Related Changesets
occt: master 1d865689
Timestamp: 2016-02-29 14:11:34
Author: abv
Committer: abv
Details ] Diff ]
0026571: Visualization, TKOpenGl - write depth values within RayTracing program

View-projection matrix was added to raytrace shaders (as uniform) in order to compute correct depth values for OpenGL.
For path tracing the additional depth buffer sampler was added to Display.fs program. It allows propagation of depth values from internal FBO to resulting FBO.
The old approach of mixing of OpenGL and ray-tracing graphics was kept in order to keep correct blending of transparent ray-traced objects with non-transparent OpenGL objects.
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/Shaders/Display.fs Diff ] File ]
mod - src/Shaders/PathtraceBase.fs Diff ] File ]
mod - src/Shaders/RaytraceBase.fs Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-19 10:18 kgv New Issue
2015-08-19 10:18 kgv Assigned To => kgv
2015-08-19 10:19 kgv Relationship added related to 0026272
2015-08-19 10:19 kgv Assigned To kgv => vpa
2015-08-19 10:19 kgv Assigned To vpa => dbp
2015-08-19 10:19 kgv Status new => assigned
2015-08-19 10:20 kgv Summary Visualization, TKOpenGl - right depth values from RayTracing program => Visualization, TKOpenGl - write depth values within RayTracing program
2015-08-19 10:21 kgv Relationship added related to 0024819
2015-11-17 15:56 kgv Target Version 7.0.0 => 7.1.0
2016-02-15 15:52 kgv Assigned To dbp => duv
2016-03-01 16:54 git Note Added: 0051276
2016-03-02 16:16 git Note Added: 0051323
2016-03-02 16:18 duv Assigned To duv => kgv
2016-03-02 16:19 duv Note Added: 0051324
2016-03-02 16:19 duv Status assigned => resolved
2016-03-02 16:43 kgv Note Added: 0051325
2016-03-02 16:43 kgv Assigned To kgv => bugmaster
2016-03-02 16:43 kgv Status resolved => reviewed
2016-03-02 16:43 kgv Target Version 7.1.0 => 7.0.0
2016-03-02 16:43 kgv Note Edited: 0051325 View Revisions
2016-03-02 17:13 apv Assigned To bugmaster => apv
2016-03-03 16:57 apv Test case number => Not needed
2016-03-03 16:58 apv Note Added: 0051378
2016-03-03 16:58 apv Assigned To apv => bugmaster
2016-03-03 16:58 apv Status reviewed => tested
2016-03-04 16:52 abv Changeset attached => occt master 1d865689
2016-03-04 16:52 abv Assigned To bugmaster => abv
2016-03-04 16:52 abv Status tested => verified
2016-03-04 16:52 abv Resolution open => fixed
2016-04-02 15:52 kgv Relationship added related to 0027337
2016-04-17 12:56 git Note Added: 0052771
2016-04-17 12:56 git Note Added: 0052772
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker